<?php
include'database.php';

function holidayCreation()
{
    $data = $_POST;
    $pdo = connectDatabase();
    createHoliday($pdo, $data);
    closeDatabase($pdo);
    header('location: calendar.php');
}

function holidayModification()
{
    $data = $_POST;
    $id = $_POST["id"];
    $pdo = connectDatabase();
    editHoliday($pdo, $data, $id);
    closeDatabase($pdo);
    header('location: calendar.php');
}

function holidayDeletion()
{
    $id = $_GET["delete"];
    $pdo = connectDatabase();
    deleteHoliday($pdo, $id);
    closeDatabase($pdo);
    header('location: calendar.php');
}


function setWorkingHours(&$data){
    if(isset($data["hora_inicio_mañana"], $data["hora_fin_mañana"], $data["hora_inicio_tarde"], $data["hora_fin_tarde"])){
        $data["horario"] = "completo";
    } else if (isset($data["hora_inicio_mañana"], $data["hora_fin_mañana"])){
        $data["horario"] = "mañana";
    } else if (isset($data["hora_inicio_tarde"], $data["hora_fin_tarde"])){
        $data["horario"] = "tarde";
    }
}


function setUncheckedBoxes(&$data){
    if (!isset($data["sabado_habil"])){
            $data["sabado_habil"] = 0;
    }
    if (!isset($data["domingo_habil"])){
            $data["domingo_habil"] = 0;
    }
}


function sanitizeInputs(&$data){
    setWorkingHours($data);
    setUncheckedBoxes($data);
}


function calendarConfig()
{
    $data = $_POST;
    sanitizeInputs($data);
    $pdo = connectDatabase();
    configureCalendar($pdo, $data);
    closeDatabase($pdo);
    header('location: calendar.php');
}

if (isset($_POST["create"])) {
    holidayCreation();
}


if (isset($_POST["edit"])) {
    holidayModification();
}

if (isset($_GET["delete"])) {
    holidayDeletion();
}

if (isset($_POST["configure"])) {
    calendarConfig();
}
