<?php session_start(); ?>
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de citas</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="static/style.css" type="text/css" media="screen" />
</head>
<body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'database.php';

    $pdo = connectDatabase();
    $data = fetchAppointmentData($pdo, $_GET["event_id"]);
    $patients = fetchPatients($pdo);
    ?>
    <form name="edit_appointment" method="post" action="appointment_management.php">
        <div class="input-group">
            <label for="fecha">Fecha</label>
            <input type="date" name="fecha" value="<?php echo $data[1]; ?>">
        </div>
        <div class="input-group">
            <label for="hora">Hora</label>
            <input type="time" name="hora" value="<?php echo $data[2]; ?>">
        </div>
        <div class="input-group">
            <label for="duracion">Duración</label>
            <input type="number" name="duracion" value="<?php echo $data[3]; ?>" step="30">
        </div>
        <div class="input-group">
            <label for="observaciones">Observaciones</label>
            <input type="text" name="observaciones" value="<?php echo $data[4]; ?>">
        </div>
        <div class="input-group">
            <select id="paciente" name="paciente">
                <option>Seleccione un paciente</option>
                <?php foreach ($patients as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
        </div>
        <button class="create_btn" type="submit" name="edit">Editar</button>
        <input type="hidden" name="id" value="<?php echo $_GET["event_id"]; ?>">
    </form>
    <?php closeDatabase($pdo); ?>
</body>
