<?php session_start(); ?>
<html class="no-js" lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Gestión de informes</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="static/style.css" type="text/css" media="screen" />
        <script src="print_html.js"></script>
    </head>
    <body>
        <?php include 'navbar.php'; ?>
        <div>
            <form method="post" action="report_management.php">
                <div class="search-group">
                    <a href="report_create_form.php" class="create_btn" >Crear</a>
                </div>
            </form>
        </div>
        <table>
            <thead>
                <tr>
                    <th>Titulo</th>
                    <th>Fecha</th>
                    <th>Hora</th>
                    <th>Paciente</th>
                    <th>Médico</th>
                    <th colspan="3">Acciones</th>
                </tr>
            </thead>
            <?php
            include 'database.php';

            $pdo = connectDatabase();
            $list = listReports($pdo);

            foreach ($list as $row) :
            ?>
                <tr>
                    <td><?php echo $row[1]; ?></td>
                    <td><?php echo $row[2]; ?></td>
                    <td><?php echo $row[3]; ?></td>
                    <td><?php echo $row[4]; ?></td>
                    <td><?php echo $row[5]; ?></td>
                    <td>
                        <a href="report_edit_form.php?edit=<?php echo $row[0]; ?>" class="edit_btn">Editar</a>
                    </td>
                    <td>
                        <a href="report_management.php?delete=<?php echo $row[0]; ?>" class="del_btn">Borrar</a>
                    </td>
                    <td>
                        <input type="button" value="HTML" class="create_btn" onClick="printExternal('report_content.php?id=<?php echo $row[0]; ?>')">
                    </td>
                    <td>
                        <a href="report_management.php?print_pdf=<?php echo $row[0]; ?>" class="create_btn">PDF</a>
                    </td>
                </tr>
            <?php endforeach ?>
            <?php closeDatabase($pdo); ?>
        </table>
    </body>
</html>
